Page MenuHomePhabricator

[Regression?] Removing edited articles from watchlist at it.wp
Closed, ResolvedPublic1 Story Points

Description

Pick an article, add it to your watchlist, now edit it, try to save:
notice the Watch this page box is unchecked, and as a matter of fact the star isn't blue anymore.
Can't reproduce at en.wp.

Event Timeline

Elitre created this task.May 1 2015, 7:23 PM
Elitre updated the task description. (Show Details)
Elitre raised the priority of this task from to High.
Elitre added a project: VisualEditor.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2015, 7:23 PM
Elitre added a subscriber: ori.

Actually, adding @ori. Maybe this has to do with JavaScript "experiments" at it.wiki?

Elitre added a subscriber: Nemo_bis.May 1 2015, 7:28 PM
Catrope added a subscriber: pajz.
Catrope added a subscriber: Catrope.

Actually, adding @ori. Maybe this has to do with JavaScript "experiments" at it.wiki?

Well it's apparently also happening on dewiki...

Nnvu added a subscriber: Nnvu.May 1 2015, 11:35 PM
Dzahn set Security to None.
Nnemo added a subscriber: Nnemo.May 3 2015, 8:53 PM
Nnemo added a comment.May 4 2015, 10:32 PM

Apparently, I just encountered this bug in the visual editor on fr.wikipedia.org.

Josve05a added a subscriber: Josve05a.EditedMay 4 2015, 10:44 PM

I could reproduce it on frwp and on https://en.wikipedia.org/wiki/Martyn_Thomas_(rugby_player) with ?setlang=fr
and I could reproduce it on https://en.wikipedia.org/wiki/Harry_G._Shaffer after turning back, so that didn't seem to be the issue.

So I can confirm on enwp and frwp in Chrome.

Jdforrester-WMF edited a custom field.May 6 2015, 8:16 PM
TheDJ added a subscriber: TheDJ.May 7 2015, 11:21 AM

ehm, perhaps another case of inverted booleans due to last weeks api changes ?

Krenair added a subscriber: Krenair.May 7 2015, 2:46 PM
This comment was removed by Krenair.
Krenair claimed this task.May 7 2015, 3:00 PM

Change 209504 had a related patch set uploaded (by Jforrester):
mw.Target: Fix API breakage of watchlist preference check

https://gerrit.wikimedia.org/r/209504

Change 209657 had a related patch set uploaded (by Jforrester):
mw.Target: Fix API breakage of watchlist preference check

https://gerrit.wikimedia.org/r/209657

Change 209658 had a related patch set uploaded (by Jforrester):
mw.Target: Fix API breakage of watchlist preference check

https://gerrit.wikimedia.org/r/209658

Change 209504 merged by jenkins-bot:
mw.Target: Fix API breakage of watchlist preference check

https://gerrit.wikimedia.org/r/209504

Change 209658 merged by jenkins-bot:
mw.Target: Fix API breakage of watchlist preference check

https://gerrit.wikimedia.org/r/209658

Change 209657 merged by jenkins-bot:
mw.Target: Fix API breakage of watchlist preference check

https://gerrit.wikimedia.org/r/209657